tests/testMultiIndex.py

aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1950236 kB, VmSize: 1950236 kB, VmRSS: 316032 kB, VmData: 402188 kB, Mmaps: 1734, Mmaps: 1950236 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1951532 kB, VmSize: 1951532 kB, VmRSS: 317476 kB, VmData: 403484 kB, Mmaps: 1734, Mmaps: 1951532 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1951532 kB, VmSize: 1950780 kB, VmRSS: 317196 kB, VmData: 402972 kB, Mmaps: 1721, Mmaps: 1950780 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00077299999999969
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+45/meas_extensions_astrometryNet-master-g43362ee2f3+45/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.23; loadPixelBoxStartUserTime=1.849418; loadPixelBoxStartSystemTime=0.39615999999999996; loadPixelBoxStartMaxResidentSetSize=317560; loadPixelBoxStartMinorPageFaults=88518; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=112; loadPixelBoxStartBlockOutputs=48; loadPixelBoxStartVoluntaryContextSwitches=30; loadPixelBoxStartInvoluntaryContextSwitches=118778
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.24; loadSkyCircleStartUserTime=1.850178; loadSkyCircleStartSystemTime=0.39615999999999996; loadSkyCircleStartMaxResidentSetSize=317560; loadSkyCircleStartMinorPageFaults=88528; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=112; loadSkyCircleStartBlockOutputs=56; loadSkyCircleStartVoluntaryContextSwitches=30; loadSkyCircleStartInvoluntaryContextSwitches=118778
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.24; _readIndexFilesStartUserTime=1.850463; _readIndexFilesStartSystemTime=0.396169; _readIndexFilesStartMaxResidentSetSize=317560; _readIndexFilesStartMinorPageFaults=88528; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=56; _readIndexFilesStartVoluntaryContextSwitches=30; _readIndexFilesStartInvoluntaryContextSwitches=118778
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.24; _readIndexFilesEndUserTime=1.8508179999999999; _readIndexFilesEndSystemTime=0.396169; _readIndexFilesEndMaxResidentSetSize=317560; _readIndexFilesEndMinorPageFaults=88530; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=56; _readIndexFilesEndVoluntaryContextSwitches=30; _readIndexFilesEndInvoluntaryContextSwitches=118778
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.24; loadSkyCircleEndUserTime=1.853551; loadSkyCircleEndSystemTime=0.396186; loadSkyCircleEndMaxResidentSetSize=317632; loadSkyCircleEndMinorPageFaults=88798; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=112; loadSkyCircleEndBlockOutputs=56; loadSkyCircleEndVoluntaryContextSwitches=30; loadSkyCircleEndInvoluntaryContextSwitches=118778
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.25; loadPixelBoxEndUserTime=1.860337; loadPixelBoxEndSystemTime=0.396186; loadPixelBoxEndMaxResidentSetSize=317632; loadPixelBoxEndMinorPageFaults=88829; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=112; loadPixelBoxEndBlockOutputs=56; loadPixelBoxEndVoluntaryContextSwitches=30; loadPixelBoxEndInvoluntaryContextSwitches=118778
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
/build/python/miniconda3-4.2.12/lib/python3.5/site-packages/astropy/config/configuration.py:541: ConfigurationMissingWarning: Configuration defaults will be used due to OSError:Could not find unix home directory to search for astropy config dir on None
  warn(ConfigurationMissingWarning(msg))
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/python_future/0.16.0/lib/python/future-0.16.0-py3.5.egg/past/builtins/misc.py:79: DeprecationWarning: 'U' mode is deprecated
  with open(filename, "rbU") as fin:
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+45/meas_extensions_astrometryNet-master-g43362ee2f3+45/python/lsst/meas/extensions/astrometryNet/multiindex.py:213: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=len(self._multiInds))
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+45/meas_extensions_astrometryNet-master-g43362ee2f3+45/python/lsst/meas/extensions/astrometryNet/multiindex.py:221: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=numFilenames)
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+2/lib/python/astrometry/util/ttime.py:13: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/28129/status' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+2/lib/python/astrometry/util/ttime.py:20: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/28129/maps' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.62; _readIndexFilesStartUserTime=2.22158; _readIndexFilesStartSystemTime=0.402009; _readIndexFilesStartMaxResidentSetSize=320220; _readIndexFilesStartMinorPageFaults=90375; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=64; _readIndexFilesStartVoluntaryContextSwitches=30; _readIndexFilesStartInvoluntaryContextSwitches=118779
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.62; _readIndexFilesEndUserTime=2.226379; _readIndexFilesEndSystemTime=0.402009; _readIndexFilesEndMaxResidentSetSize=320232; _readIndexFilesEndMinorPageFaults=90383; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=64; _readIndexFilesEndVoluntaryContextSwitches=30; _readIndexFilesEndInvoluntaryContextSwitches=118779
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1953432 kB, VmSize: 1953432 kB, VmRSS: 320232 kB, VmData: 405252 kB, Mmaps: 1739, Mmaps: 1953432 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1953688 kB, VmSize: 1953688 kB, VmRSS: 320236 kB, VmData: 405508 kB, Mmaps: 1739, Mmaps: 1953688 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1953688 kB, VmSize: 1953316 kB, VmRSS: 320476 kB, VmData: 405508 kB, Mmaps: 1721, Mmaps: 1953316 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00075299999999956
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+45/meas_extensions_astrometryNet-master-g43362ee2f3+45/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.65; loadPixelBoxStartUserTime=2.250556; loadPixelBoxStartSystemTime=0.408007; loadPixelBoxStartMaxResidentSetSize=320584; loadPixelBoxStartMinorPageFaults=90473; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=112; loadPixelBoxStartBlockOutputs=72; loadPixelBoxStartVoluntaryContextSwitches=30; loadPixelBoxStartInvoluntaryContextSwitches=118779
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.65; loadSkyCircleStartUserTime=2.251256; loadSkyCircleStartSystemTime=0.408007; loadSkyCircleStartMaxResidentSetSize=320584; loadSkyCircleStartMinorPageFaults=90473; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=112; loadSkyCircleStartBlockOutputs=72; loadSkyCircleStartVoluntaryContextSwitches=30; loadSkyCircleStartInvoluntaryContextSwitches=118779
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.65; _readIndexFilesStartUserTime=2.251548; _readIndexFilesStartSystemTime=0.408007; _readIndexFilesStartMaxResidentSetSize=320584; _readIndexFilesStartMinorPageFaults=90473; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=72; _readIndexFilesStartVoluntaryContextSwitches=30; _readIndexFilesStartInvoluntaryContextSwitches=118779
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.65; _readIndexFilesEndUserTime=2.25171; _readIndexFilesEndSystemTime=0.408034; _readIndexFilesEndMaxResidentSetSize=320584; _readIndexFilesEndMinorPageFaults=90473; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=80; _readIndexFilesEndVoluntaryContextSwitches=30; _readIndexFilesEndInvoluntaryContextSwitches=118779
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.65; loadSkyCircleEndUserTime=2.255313; loadSkyCircleEndSystemTime=0.40896299999999997; loadSkyCircleEndMaxResidentSetSize=320584; loadSkyCircleEndMinorPageFaults=90706; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=112; loadSkyCircleEndBlockOutputs=80; loadSkyCircleEndVoluntaryContextSwitches=30; loadSkyCircleEndInvoluntaryContextSwitches=118779
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.66; loadPixelBoxEndUserTime=2.261991; loadPixelBoxEndSystemTime=0.40896299999999997; loadPixelBoxEndMaxResidentSetSize=320584; loadPixelBoxEndMinorPageFaults=90706; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=112; loadPixelBoxEndBlockOutputs=80; loadPixelBoxEndVoluntaryContextSwitches=30; loadPixelBoxEndInvoluntaryContextSwitches=118779
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.02; _readIndexFilesStartUserTime=2.617094; _readIndexFilesStartSystemTime=0.414807; _readIndexFilesStartMaxResidentSetSize=323668; _readIndexFilesStartMinorPageFaults=92093; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=80; _readIndexFilesStartVoluntaryContextSwitches=30; _readIndexFilesStartInvoluntaryContextSwitches=118780
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.03; _readIndexFilesEndUserTime=2.620634; _readIndexFilesEndSystemTime=0.414892; _readIndexFilesEndMaxResidentSetSize=323676; _readIndexFilesEndMinorPageFaults=92099; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=80; _readIndexFilesEndVoluntaryContextSwitches=30; _readIndexFilesEndInvoluntaryContextSwitches=118780
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956756 kB, VmSize: 1956756 kB, VmRSS: 323676 kB, VmData: 408700 kB, Mmaps: 1734, Mmaps: 1956756 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956756 kB, VmSize: 1956756 kB, VmRSS: 323676 kB, VmData: 408700 kB, Mmaps: 1734, Mmaps: 1956756 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956756 kB, VmSize: 1956508 kB, VmRSS: 323668 kB, VmData: 408700 kB, Mmaps: 1721, Mmaps: 1956508 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00074700000000005
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+45/meas_extensions_astrometryNet-master-g43362ee2f3+45/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.06; loadPixelBoxStartUserTime=2.644291; loadPixelBoxStartSystemTime=0.420842; loadPixelBoxStartMaxResidentSetSize=323772; loadPixelBoxStartMinorPageFaults=92123; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=112; loadPixelBoxStartBlockOutputs=88; loadPixelBoxStartVoluntaryContextSwitches=30; loadPixelBoxStartInvoluntaryContextSwitches=118780
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.06; loadSkyCircleStartUserTime=2.644987; loadSkyCircleStartSystemTime=0.420842; loadSkyCircleStartMaxResidentSetSize=323772; loadSkyCircleStartMinorPageFaults=92123; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=112; loadSkyCircleStartBlockOutputs=96; loadSkyCircleStartVoluntaryContextSwitches=30; loadSkyCircleStartInvoluntaryContextSwitches=118780
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.06; _readIndexFilesStartUserTime=2.645283; _readIndexFilesStartSystemTime=0.420842; _readIndexFilesStartMaxResidentSetSize=323772; _readIndexFilesStartMinorPageFaults=92123; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=96; _readIndexFilesStartVoluntaryContextSwitches=30; _readIndexFilesStartInvoluntaryContextSwitches=118780
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.06; _readIndexFilesEndUserTime=2.645438; _readIndexFilesEndSystemTime=0.420865; _readIndexFilesEndMaxResidentSetSize=323772; _readIndexFilesEndMinorPageFaults=92123; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=96; _readIndexFilesEndVoluntaryContextSwitches=30; _readIndexFilesEndInvoluntaryContextSwitches=118780
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.06; loadSkyCircleEndUserTime=2.648438; loadSkyCircleEndSystemTime=0.420865; loadSkyCircleEndMaxResidentSetSize=323772; loadSkyCircleEndMinorPageFaults=92328; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=112; loadSkyCircleEndBlockOutputs=96; loadSkyCircleEndVoluntaryContextSwitches=30; loadSkyCircleEndInvoluntaryContextSwitches=118780
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.07; loadPixelBoxEndUserTime=2.654732; loadPixelBoxEndSystemTime=0.420908; loadPixelBoxEndMaxResidentSetSize=323772; loadPixelBoxEndMinorPageFaults=92328; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=112; loadPixelBoxEndBlockOutputs=96; loadPixelBoxEndVoluntaryContextSwitches=30; loadPixelBoxEndInvoluntaryContextSwitches=118780
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.43; _readIndexFilesStartUserTime=3.011738; _readIndexFilesStartSystemTime=0.424809; _readIndexFilesStartMaxResidentSetSize=323772; _readIndexFilesStartMinorPageFaults=93073; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=104; _readIndexFilesStartVoluntaryContextSwitches=30; _readIndexFilesStartInvoluntaryContextSwitches=118782
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.43; _readIndexFilesEndUserTime=3.015148; _readIndexFilesEndSystemTime=0.424809; _readIndexFilesEndMaxResidentSetSize=323772; _readIndexFilesEndMinorPageFaults=93079; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=104; _readIndexFilesEndVoluntaryContextSwitches=30; _readIndexFilesEndInvoluntaryContextSwitches=118782
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956924 kB, VmSize: 1956756 kB, VmRSS: 323676 kB, VmData: 408700 kB, Mmaps: 1734, Mmaps: 1956756 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956924 kB, VmSize: 1956756 kB, VmRSS: 323676 kB, VmData: 408700 kB, Mmaps: 1734, Mmaps: 1956756 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956924 kB, VmSize: 1956508 kB, VmRSS: 323668 kB, VmData: 408700 kB, Mmaps: 1721, Mmaps: 1956508 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00068599999999996
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+45/meas_extensions_astrometryNet-master-g43362ee2f3+45/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.46; loadPixelBoxStartUserTime=3.04068; loadPixelBoxStartSystemTime=0.428801; loadPixelBoxStartMaxResidentSetSize=323772; loadPixelBoxStartMinorPageFaults=93103; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=112; loadPixelBoxStartBlockOutputs=112; loadPixelBoxStartVoluntaryContextSwitches=30; loadPixelBoxStartInvoluntaryContextSwitches=118782
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.46; loadSkyCircleStartUserTime=3.041338; loadSkyCircleStartSystemTime=0.428801; loadSkyCircleStartMaxResidentSetSize=323772; loadSkyCircleStartMinorPageFaults=93103; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=112; loadSkyCircleStartBlockOutputs=112; loadSkyCircleStartVoluntaryContextSwitches=30; loadSkyCircleStartInvoluntaryContextSwitches=118782
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.46; _readIndexFilesStartUserTime=3.041637; _readIndexFilesStartSystemTime=0.428801; _readIndexFilesStartMaxResidentSetSize=323772; _readIndexFilesStartMinorPageFaults=93103; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=112; _readIndexFilesStartVoluntaryContextSwitches=30; _readIndexFilesStartInvoluntaryContextSwitches=118782
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.46; _readIndexFilesEndUserTime=3.041793; _readIndexFilesEndSystemTime=0.428816; _readIndexFilesEndMaxResidentSetSize=323772; _readIndexFilesEndMinorPageFaults=93103; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=112; _readIndexFilesEndVoluntaryContextSwitches=30; _readIndexFilesEndInvoluntaryContextSwitches=118782
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.46; loadSkyCircleEndUserTime=3.044794; loadSkyCircleEndSystemTime=0.428816; loadSkyCircleEndMaxResidentSetSize=323772; loadSkyCircleEndMinorPageFaults=93308; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=112; loadSkyCircleEndBlockOutputs=112; loadSkyCircleEndVoluntaryContextSwitches=30; loadSkyCircleEndInvoluntaryContextSwitches=118782
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.47; loadPixelBoxEndUserTime=3.051229; loadPixelBoxEndSystemTime=0.428816; loadPixelBoxEndMaxResidentSetSize=323772; loadPixelBoxEndMinorPageFaults=93308; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=112; loadPixelBoxEndBlockOutputs=112; loadPixelBoxEndVoluntaryContextSwitches=30; loadPixelBoxEndInvoluntaryContextSwitches=118782
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.83; _readIndexFilesStartUserTime=3.40939; _readIndexFilesStartSystemTime=0.434687; _readIndexFilesStartMaxResidentSetSize=323772; _readIndexFilesStartMinorPageFaults=94053; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=120; _readIndexFilesStartVoluntaryContextSwitches=30; _readIndexFilesStartInvoluntaryContextSwitches=118782
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.84; _readIndexFilesEndUserTime=3.414289; _readIndexFilesEndSystemTime=0.434687; _readIndexFilesEndMaxResidentSetSize=323772; _readIndexFilesEndMinorPageFaults=94061; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=120; _readIndexFilesEndVoluntaryContextSwitches=30; _readIndexFilesEndInvoluntaryContextSwitches=118782
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956924 kB, VmSize: 1956880 kB, VmRSS: 323680 kB, VmData: 408700 kB, Mmaps: 1740, Mmaps: 1956880 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956924 kB, VmSize: 1956880 kB, VmRSS: 323680 kB, VmData: 408700 kB, Mmaps: 1740, Mmaps: 1956880 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956924 kB, VmSize: 1956508 kB, VmRSS: 323668 kB, VmData: 408700 kB, Mmaps: 1721, Mmaps: 1956508 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 182
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 77
meas_astrom*an*n_meanxcut = 455
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00077799999999995
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+45/meas_extensions_astrometryNet-master-g43362ee2f3+45/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.86; loadPixelBoxStartUserTime=3.439137; loadPixelBoxStartSystemTime=0.439656; loadPixelBoxStartMaxResidentSetSize=323776; loadPixelBoxStartMinorPageFaults=94085; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=112; loadPixelBoxStartBlockOutputs=128; loadPixelBoxStartVoluntaryContextSwitches=30; loadPixelBoxStartInvoluntaryContextSwitches=118782
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.86; loadSkyCircleStartUserTime=3.439696; loadSkyCircleStartSystemTime=0.439728; loadSkyCircleStartMaxResidentSetSize=323776; loadSkyCircleStartMinorPageFaults=94085; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=112; loadSkyCircleStartBlockOutputs=128; loadSkyCircleStartVoluntaryContextSwitches=30; loadSkyCircleStartInvoluntaryContextSwitches=118782
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.87; _readIndexFilesStartUserTime=3.440117; _readIndexFilesStartSystemTime=0.439728; _readIndexFilesStartMaxResidentSetSize=323776; _readIndexFilesStartMinorPageFaults=94085; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=128; _readIndexFilesStartVoluntaryContextSwitches=30; _readIndexFilesStartInvoluntaryContextSwitches=118782
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.87; _readIndexFilesEndUserTime=3.440284; _readIndexFilesEndSystemTime=0.439728; _readIndexFilesEndMaxResidentSetSize=323776; _readIndexFilesEndMinorPageFaults=94085; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=128; _readIndexFilesEndVoluntaryContextSwitches=30; _readIndexFilesEndInvoluntaryContextSwitches=118782
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.87; loadSkyCircleEndUserTime=3.444717; loadSkyCircleEndSystemTime=0.439729; loadSkyCircleEndMaxResidentSetSize=323776; loadSkyCircleEndMinorPageFaults=94318; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=112; loadSkyCircleEndBlockOutputs=136; loadSkyCircleEndVoluntaryContextSwitches=30; loadSkyCircleEndInvoluntaryContextSwitches=118782
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.88; loadPixelBoxEndUserTime=3.451245; loadPixelBoxEndSystemTime=0.439729; loadPixelBoxEndMaxResidentSetSize=323776; loadPixelBoxEndMinorPageFaults=94318; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=112; loadPixelBoxEndBlockOutputs=136; loadPixelBoxEndVoluntaryContextSwitches=30; loadPixelBoxEndInvoluntaryContextSwitches=118782
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.24; _readIndexFilesStartUserTime=3.805176; _readIndexFilesStartSystemTime=0.445606; _readIndexFilesStartMaxResidentSetSize=323776; _readIndexFilesStartMinorPageFaults=95063; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=136; _readIndexFilesStartVoluntaryContextSwitches=30; _readIndexFilesStartInvoluntaryContextSwitches=118783
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.24; _readIndexFilesEndUserTime=3.807768; _readIndexFilesEndSystemTime=0.445675; _readIndexFilesEndMaxResidentSetSize=323776; _readIndexFilesEndMinorPageFaults=95069; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=136; _readIndexFilesEndVoluntaryContextSwitches=30; _readIndexFilesEndInvoluntaryContextSwitches=118783
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1957048 kB, VmSize: 1956748 kB, VmRSS: 323676 kB, VmData: 408700 kB, Mmaps: 1734, Mmaps: 1956748 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1957048 kB, VmSize: 1956748 kB, VmRSS: 323676 kB, VmData: 408700 kB, Mmaps: 1734, Mmaps: 1956748 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1957048 kB, VmSize: 1956508 kB, VmRSS: 323668 kB, VmData: 408700 kB, Mmaps: 1721, Mmaps: 1956508 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00073800000000013
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+45/meas_extensions_astrometryNet-master-g43362ee2f3+45/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.31; loadPixelBoxStartUserTime=3.863781; loadPixelBoxStartSystemTime=0.45367799999999997; loadPixelBoxStartMaxResidentSetSize=323776; loadPixelBoxStartMinorPageFaults=97401; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=112; loadPixelBoxStartBlockOutputs=144; loadPixelBoxStartVoluntaryContextSwitches=30; loadPixelBoxStartInvoluntaryContextSwitches=118783
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.31; loadSkyCircleStartUserTime=3.864473; loadSkyCircleStartSystemTime=0.45367799999999997; loadSkyCircleStartMaxResidentSetSize=323776; loadSkyCircleStartMinorPageFaults=97401; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=112; loadSkyCircleStartBlockOutputs=144; loadSkyCircleStartVoluntaryContextSwitches=30; loadSkyCircleStartInvoluntaryContextSwitches=118783
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.31; _readIndexFilesStartUserTime=3.8647869999999998; _readIndexFilesStartSystemTime=0.453679; _readIndexFilesStartMaxResidentSetSize=323776; _readIndexFilesStartMinorPageFaults=97401; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=152; _readIndexFilesStartVoluntaryContextSwitches=30; _readIndexFilesStartInvoluntaryContextSwitches=118783
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.31; _readIndexFilesEndUserTime=3.864948; _readIndexFilesEndSystemTime=0.453698; _readIndexFilesEndMaxResidentSetSize=323776; _readIndexFilesEndMinorPageFaults=97401; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=152; _readIndexFilesEndVoluntaryContextSwitches=30; _readIndexFilesEndInvoluntaryContextSwitches=118783
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.31; loadSkyCircleEndUserTime=3.867879; loadSkyCircleEndSystemTime=0.453698; loadSkyCircleEndMaxResidentSetSize=323776; loadSkyCircleEndMinorPageFaults=97630; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=112; loadSkyCircleEndBlockOutputs=152; loadSkyCircleEndVoluntaryContextSwitches=30; loadSkyCircleEndInvoluntaryContextSwitches=118783
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.32; loadPixelBoxEndUserTime=3.874396; loadPixelBoxEndSystemTime=0.453698; loadPixelBoxEndMaxResidentSetSize=323776; loadPixelBoxEndMinorPageFaults=97630; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=112; loadPixelBoxEndBlockOutputs=152; loadPixelBoxEndVoluntaryContextSwitches=30; loadPixelBoxEndInvoluntaryContextSwitches=118783
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.69; _readIndexFilesStartUserTime=4.235342; _readIndexFilesStartSystemTime=0.46058; _readIndexFilesStartMaxResidentSetSize=323776; _readIndexFilesStartMinorPageFaults=98374; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=152; _readIndexFilesStartVoluntaryContextSwitches=30; _readIndexFilesStartInvoluntaryContextSwitches=118784
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.9; _readIndexFilesEndUserTime=4.419531; _readIndexFilesEndSystemTime=0.49562; _readIndexFilesEndMaxResidentSetSize=382452; _readIndexFilesEndMinorPageFaults=113399; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=160; _readIndexFilesEndVoluntaryContextSwitches=30; _readIndexFilesEndInvoluntaryContextSwitches=118784
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 2039372 kB, VmSize: 2039116 kB, VmRSS: 383512 kB, VmData: 467308 kB, Mmaps: 2927, Mmaps: 2039116 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 2039776 kB, VmSize: 2039776 kB, VmRSS: 387732 kB, VmData: 467968 kB, Mmaps: 2927, Mmaps: 2039776 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 2039776 kB, VmSize: 2015520 kB, VmRSS: 382508 kB, VmData: 467712 kB, Mmaps: 1722, Mmaps: 2015520 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 11316
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 4708
meas_astrom*an*n_meanxcut = 28738
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.0094970000000005
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+45/meas_extensions_astrometryNet-master-g43362ee2f3+45/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=5.01; loadPixelBoxStartUserTime=4.508191; loadPixelBoxStartSystemTime=0.5105879999999999; loadPixelBoxStartMaxResidentSetSize=387996; loadPixelBoxStartMinorPageFaults=114831; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=112; loadPixelBoxStartBlockOutputs=168; loadPixelBoxStartVoluntaryContextSwitches=30; loadPixelBoxStartInvoluntaryContextSwitches=118784
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=5.01; loadSkyCircleStartUserTime=4.50877; loadSkyCircleStartSystemTime=0.510653; loadSkyCircleStartMaxResidentSetSize=387996; loadSkyCircleStartMinorPageFaults=114831; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=112; loadSkyCircleStartBlockOutputs=168; loadSkyCircleStartVoluntaryContextSwitches=30; loadSkyCircleStartInvoluntaryContextSwitches=118784
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=5.01; _readIndexFilesStartUserTime=4.509183; _readIndexFilesStartSystemTime=0.510653; _readIndexFilesStartMaxResidentSetSize=387996; _readIndexFilesStartMinorPageFaults=114831; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=112; _readIndexFilesStartBlockOutputs=168; _readIndexFilesStartVoluntaryContextSwitches=30; _readIndexFilesStartInvoluntaryContextSwitches=118784
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.01; _readIndexFilesEndUserTime=4.509349; _readIndexFilesEndSystemTime=0.510653; _readIndexFilesEndMaxResidentSetSize=387996; _readIndexFilesEndMinorPageFaults=114831; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=112; _readIndexFilesEndBlockOutputs=168; _readIndexFilesEndVoluntaryContextSwitches=30; _readIndexFilesEndInvoluntaryContextSwitches=118784
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=5.13; loadSkyCircleEndUserTime=4.614275; loadSkyCircleEndSystemTime=0.522597; loadSkyCircleEndMaxResidentSetSize=387996; loadSkyCircleEndMinorPageFaults=118129; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=112; loadSkyCircleEndBlockOutputs=168; loadSkyCircleEndVoluntaryContextSwitches=30; loadSkyCircleEndInvoluntaryContextSwitches=118784
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=5.15; loadPixelBoxEndUserTime=4.634688; loadPixelBoxEndSystemTime=0.522641; loadPixelBoxEndMaxResidentSetSize=387996; loadPixelBoxEndMinorPageFaults=118129; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=112; loadPixelBoxEndBlockOutputs=168; loadPixelBoxEndVoluntaryContextSwitches=30; loadPixelBoxEndInvoluntaryContextSwitches=118784
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
...
----------------------------------------------------------------------
Ran 9 tests in 3.448s

OK
Mem0: Memory usage:
max rss: [0.323776, 'MB'] MB
VmPeak 1957048 kB
VmSize 1956504 kB
VmRSS 323664 kB
VmData 408696 kB
VmStk 168 kB
Number of mmaps: 1721
None
FD0: 5
100 multi-index files

Mem1:
Memory usage:
max rss: [0.382452, 'MB'] MB
VmPeak 2038192 kB
VmSize 2038192 kB
VmRSS 382452 kB
VmData 466384 kB
VmStk 168 kB
Number of mmaps: 2926
None
FD1: 5

Mem2:
Memory usage:
max rss: [0.387996, 'MB'] MB
VmPeak 2039776 kB
VmSize 2015520 kB
VmRSS 382508 kB
VmData 467712 kB
VmStk 168 kB
Number of mmaps: 1722
None
FD2: 5

Mem3:
Memory usage:
max rss: [0.387996, 'MB'] MB
VmPeak 2039776 kB
VmSize 2015520 kB
VmRSS 382508 kB
VmData 467712 kB
VmStk 168 kB
Number of mmaps: 1722
None
FD3: 5
